Group: Text tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: more, less, most
Name: most
Version: 5.0.0
Release: alt1_20.a.1
License: GPLv2+
URL: ftp://space.mit.edu/pub/davis/most/
Source: ftp://space.mit.edu/pub/davis/most/%{name}-%{version}a.tar.bz2
BuildRequires:  gcc
BuildRequires: libslang2-devel
# https://bugzilla.redhat.com/show_bug.cgi?id=1230278
Patch0: bz1230278.patch
Source44: import.info

%description
most is a paging program that displays, one window-full at a time, the
contents of a file on a terminal. It pauses after each window-full and
prints on the window status line the screen the file name, current line
number, and the percentage of the file so far displayed.

%prep
%setup -q -n %{name}-%{version}a
%patch0 -p0

%build
sed -i 's!s\%@RPATH@\%.*!s\%@RPATH@\%\%g!' configure
sed -i 's|/usr/lib|%{_libdir}|g' configure
chmod +x configure
%configure
# Parallel builds sometimes miss to create this directory before starting
# the compiler. In theory the Makefile would create this before running gcc.
mkdir -p src/objs
%make_build

%install
install -D -m0755 src/objs/most $RPM_BUILD_ROOT%{_bindir}/most
install -D -m0644 most.1        $RPM_BUILD_ROOT%{_mandir}/man1/most.1

%files
%doc --no-dereference COPYRIGHT
%doc README changes.txt most.doc most-fun.txt lesskeys.rc most.rc
%{_bindir}/most
%{_mandir}/man1/most.1*


%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 5.0.0-alt1_20.a.1
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 5.0.0-alt1_19.a.1
- update to new release by fcimport

* Fri May 04 2018 Igor Vlasenko <viy@altlinux.ru> 5.0.0-alt1_18.a.1
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 5.0.0-alt1_16.a.1
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 5.0.0-alt1_14.a.1
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 5.0.0-alt1_13.a.1
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 5.0.0-alt1_12.a.1
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 5.0.0-alt1_10.a.1
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 5.0.0-alt1_9.a.1
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 5.0.0-alt1_8.a.1
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 5.0.0-alt1_7.a.1
- initial fc import

